/*
 * Class INTEGER_INTERVAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_581 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_581 [] = {0xFF01,1551,580,0xFFFF};
static const EIF_TYPE_INDEX egt_2_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_3_581 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_581 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_6_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_7_581 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_581 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_581 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_581 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_581 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_13_581 [] = {0xFF01,1655,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_581 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_581 [] = {0xFF01,1662,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_581 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_581 [] = {0xFF01,1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_18_581 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_19_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_581 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_21_581 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_22_581 [] = {869,0xFFFF};


static const struct desc_info desc_581[] = {
	{EIF_GENERIC(NULL), 11034, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_581), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_581), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11049, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_581), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_581), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_581), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_581), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_581), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_581), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_581), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_581), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_581), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_581), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0489 /*580*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_581), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9054, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_581), 11062, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_581), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11059, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_581), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_581), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11037, 1},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11039, 2},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11056, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_581), 11060, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_581), 11061, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_581), 11024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11030, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11031, 8},
	{EIF_GENERIC(NULL), 11054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11033, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_581), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11041, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_581), 11048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11047, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_581), -1, 0xFFFFFFFF},
};
void Init581(void)
{
	IDSC(desc_581, 0, 580);
	IDSC(desc_581 + 1, 1, 580);
	IDSC(desc_581 + 32, 1134, 580);
	IDSC(desc_581 + 41, 878, 580);
	IDSC(desc_581 + 42, 1395, 580);
	IDSC(desc_581 + 44, 586, 580);
	IDSC(desc_581 + 50, 1135, 580);
	IDSC(desc_581 + 59, 1088, 580);
	IDSC(desc_581 + 61, 1494, 580);
	IDSC(desc_581 + 81, 916, 580);
	IDSC(desc_581 + 87, 1570, 580);
	IDSC(desc_581 + 90, 778, 580);
	IDSC(desc_581 + 91, 554, 580);
	IDSC(desc_581 + 92, 1317, 580);
	IDSC(desc_581 + 93, 794, 580);
}


#ifdef __cplusplus
}
#endif
